FreeMat

- Main Page
- Related Pages

vtkLogoRepresentation

Section: Visualization Toolkit Widget Classes

# Usage

To create an instance of class vtkLogoRepresentation, simply invoke its constructor as follows

      obj = vtkLogoRepresentation

# Methods

The class vtkLogoRepresentation has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkLogoRepresentation class.

- `string = obj.GetClassName ()` - Standard VTK class methods.
- `int = obj.IsA (string name)` - Standard VTK class methods.
- `vtkLogoRepresentation = obj.NewInstance ()` - Standard VTK class methods.
- `vtkLogoRepresentation = obj.SafeDownCast (vtkObject o)` - Standard VTK class methods.
- `obj.SetImage (vtkImageData img)` - Specify/retrieve the image to display in the balloon.
- `vtkImageData = obj.GetImage ()` - Specify/retrieve the image to display in the balloon.
- `obj.SetImageProperty (vtkProperty2D p)` - Set/get the image property (relevant only if an image is shown).
- `vtkProperty2D = obj.GetImageProperty ()` - Set/get the image property (relevant only if an image is shown).
- `obj.BuildRepresentation ()` - Satisfy the superclasses' API.
- `obj.GetActors2D (vtkPropCollection pc)` - These methods are necessary to make this representation behave as a vtkProp.
- `obj.ReleaseGraphicsResources (vtkWindow )` - These methods are necessary to make this representation behave as a vtkProp.
- `int = obj.RenderOverlay (vtkViewport )` - These methods are necessary to make this representation behave as a vtkProp.